%undefine __cmake_in_source_build
#global bootstrap 1

%if !0%{?bootstrap}
%ifnarch %{arm}
%global tests 1
%endif
%endif

Summary: A plugin-based library to create window decorations
Name:    kdecoration
Version: 5.27.8
Release: 1%{?dist}

License: LGPLv2
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules, kf5-rpm-macros, qt5-qtbase-devel

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
%endif

BuildRequires: cmake, cmake(KF5I18n), cmake(KF5CoreAddons), make

Requires:       kf5-filesystem

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1

sed -i "s/set(KDECORATION2_INCLUDEDIR \"\${CMAKE_INSTALL_INCLUDEDIR}\/KDecoration2\")/set(KDECORATION2_INCLUDEDIR \"\${KF5_INCLUDE_INSTALL_DIR}\/KDecoration2\")/" CMakeLists.txt


%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_kf5_qtplugindir}/org.kde.kdecoration2/

%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSES/*.txt
%{_kf5_libdir}/libkdecorations2.so.*
%{_kf5_libdir}/libkdecorations2private.so.*
%dir %{_kf5_qtplugindir}/org.kde.kdecoration2/
%{_datadir}/locale/*/LC_MESSAGES/kdecoration.mo

%files devel
%{_kf5_includedir}/kdecoration2_version.h
%{_includedir}/KDecoration2
%{_kf5_libdir}/libkdecorations2.so
%{_kf5_libdir}/libkdecorations2private.so
%{_kf5_libdir}/cmake/KDecoration2/

%changelog
* Sun Nov 19 2023 Chair <chairou@tencent.com> - 5.27.8-1
- Init
